package worlds 
{
	import entities.MovingPlatform;
	import entities.Player;
	import flash.display.BitmapData;
	import flash.geom.Rectangle;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Tilemap;
	import net.flashpunk.masks.Grid;
	import net.flashpunk.utils.Input;
	import net.flashpunk.World;
	
	/**
	 * ...
	 * @author Bradley Davies (@DPbrad)
	 */
	public class GameWorld extends World 
	{
		
		private var _tilemap:Tilemap;
		private var _grid:Grid;
		
		private var _player:Player;
		private var _movingPlatform:MovingPlatform;
		
		public function GameWorld() 
		{
			_tilemap = new Tilemap(GA.PNG_TILESET, 640, 480, 32, 32);
			_tilemap.setRectOutline(0, 0, _tilemap.columns - 1, _tilemap.rows - 1, 1);
			_grid = _tilemap.createGrid([1]);
			_player = new Player(64, 64);
			_movingPlatform = new MovingPlatform(96, 352, 10, 120, 396);
			//
			addGraphic(_tilemap);
			addMask(_grid, "solid");
			add(_movingPlatform);
			add(_player);
		}
		
		override public function begin():void 
		{
			super.begin();
		}
		
		override public function update():void 
		{
			super.update();
		}
		
	}

}