package entities
{
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.graphics.Image;
	import net.flashpunk.tweens.misc.MultiVarTween;
	import net.flashpunk.tweens.misc.VarTween;
	/**
	 * ...
	 * @author Bradley Davies (@DPbrad)
	 */
	public class MovingPlatform extends Entity
	{
		
		public var dX:Number = 0 , dY:Number = 0;
		
		private var lX:int, lY:int;
		
		private var _image:Image;
		
		private var sX:int, eX:int;
		
		private var SPEED:int = 70;
		private var direction:int = 1;
		
		public function MovingPlatform(startX:int,endX:int,height:int,width:int,y:int) 
		{
			sX = startX; eX = endX;
			_image = Image.createRect(width, height, 0xFFFFFF);
			//
			super(startX, y, _image); setHitboxTo(graphic);
			type = "movingSolid";
		}
		
		override public function added():void 
		{
			super.added();
		}
		
		override public function update():void 
		{
			super.update();
			dX = SPEED * FP.elapsed * direction;
			x += dX;
			if (x >= eX) direction = -1;
			if (x <= sX) direction = 1;
		}
		
	}

}